create table customers
( custid  number(5) primary key,
   custname varchar2(30),
   custtype   char(1)
                     check  ( custtype in ('i','c') ),
   address   varchar2(100),
   phone      varchar2(30),
   email       varchar2(30)
);


create table  prodtypes
(  typecode   char(3) primary key,
    typename  varchar2(20)
);

create table sales
(  Invno    number(5) primary key,
   custid     number(5)
                  references  customers(custid),
   product   varchar2(100),
   typecode char(3) 
                  references prodtypes(typecode),
   dp           date,
   dwe        date,
   price       number(6),
   wtype     char(1)
);
  
create table complaints
(  compid   number(5) primary key,
   invno    number(5)
                 references  sales(invno),
   complaint varchar2(100),
   solution   varchar2(100),
   dcomp     date,
   dservice  date,
   status     char(1),
   area        varchar2(20),
   sp           varchar2(30),
  charge     number(6)
);


create table sp
(  name  varchar2(30),
    area   varchar2(30),
    primary key (name,area)
);





  
